diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index c80b14ed97..c92f2a8e61 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -11077,7 +11077,8 @@ do_pg_stop_backup(char *labelfile, bool waitforarchive, TimeLineID *stoptli_p)
 			if (!reported_waiting && waits > 5)
 			{
 				ereport(NOTICE,
-						(errmsg("pg_stop_backup cleanup done, waiting for required WAL segments to be archived")));
+						(errmsg("%s cleanup done, waiting for required WAL segments to be archived",
+								"pg_stop_backup()")));
 				reported_waiting = true;
 			}
 
@@ -11087,16 +11088,18 @@ do_pg_stop_backup(char *labelfile, bool waitforarchive, TimeLineID *stoptli_p)
 			{
 				seconds_before_warning *= 2;	/* This wraps in >10 years... */
 				ereport(WARNING,
-						(errmsg("pg_stop_backup still waiting for all required WAL segments to be archived (%d seconds elapsed)",
-								waits),
+						(errmsg("%s still waiting for all required WAL segments to be archived (%d seconds elapsed)",
+								"pg_stop_backup()", waits),
 						 errhint("Check that your archive_command is executing properly.  "
-								 "pg_stop_backup can be canceled safely, "
-								 "but the database backup will not be usable without all the WAL segments.")));
+								 "%s can be canceled safely, "
+								 "but the database backup will not be usable without all the WAL segments.",
+								 "pg_stop_backup()")));
 			}
 		}
 
 		ereport(NOTICE,
-				(errmsg("pg_stop_backup complete, all required WAL segments have been archived")));
+				(errmsg("%s complete, all required WAL segments have been archived",
+						"pg_stop_backup()")));
 	}
 	else if (waitforarchive)
 		ereport(NOTICE,
